<?php
/**
 * Archive options
 *
 * @package Theme Palace
 * @subpackage  Pushpa
 * @since  Pushpa 1.0.0
 */

// Add archive section
$wp_customize->add_section( 'pushpa_archive_section',
	array(
		'title'             => esc_html__( 'Blog/Archive','pushpa' ),
		'description'       => esc_html__( 'Archive section options.', 'pushpa' ),
		'panel'             => 'pushpa_theme_options_panel',
	)
);

// Your latest posts title setting and control.
$wp_customize->add_setting( 'pushpa_theme_options[your_latest_posts_title]',
	array(
		'default'           => $options['your_latest_posts_title'],
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control( 'pushpa_theme_options[your_latest_posts_title]',
	array(
		'label'             => esc_html__( 'Your Latest Posts Title', 'pushpa' ),
		'description'       => esc_html__( 'This option only works if Static Front Page is set to "Your latest posts."', 'pushpa' ),
		'section'           => 'pushpa_archive_section',
		'type'				=> 'text',
		'active_callback'	=> function( $control ) {
			return !(
				pushpa_is_static_homepage_enable( $control )
			);
		}
	)
);

// Archive tag category setting and control.
$wp_customize->add_setting( 'pushpa_theme_options[hide_category]',
	array(
		'default'           => $options['hide_category'],
		'sanitize_callback' => 'pushpa_sanitize_switch_control',
	)
);

$wp_customize->add_control( new  pushpa_Switch_Control( $wp_customize,
	'pushpa_theme_options[hide_category]',
		array(
			'label'             => esc_html__( 'Hide Category', 'pushpa' ),
			'section'           => 'pushpa_archive_section',
			'on_off_label' 		=> pushpa_hide_options(),
		)
	)
);

// Archive category setting and control.
$wp_customize->add_setting( 'pushpa_theme_options[hide_archive_date]', array(
	'default'           => $options['hide_archive_date'],
	'sanitize_callback' => 'pushpa_sanitize_switch_control',
) );

$wp_customize->add_control( new Pushpa_Switch_Control( $wp_customize, 'pushpa_theme_options[hide_archive_date]', array(
	'label'             => esc_html__( 'Hide Post Date', 'pushpa' ),
	'section'           => 'pushpa_archive_section',
	'on_off_label' 		=> pushpa_hide_options(),
) ) );